<h2>Sign up</h2>

<%= form_for(resource, as: resource_name, url: registration_path(resource_name)) do |f| %>
  <%= render "devise/shared/error_messages", resource: resource %>
  <%= f.hidden_field :signed_up_as_admin %>

  <div class="row mt-4">
    <div class="col-md-6">
    <%= f.select :role, [["Doctor",'doctor'],["Medical Student",'student'],["Other HCP",'hcp'],["To manage multiple users in hospitals / clinics / businesses", 'other']], { prompt: 'Sign up as' }, { class: "form-control" } %>
    </div>
  </div>

  <div class="row mt-4 display_for_admin_role" id="about">
    <div class="col-md-6">
      <%= f.label :tell_us_something_about_yourself %><br />
      <%= f.select :about, [["I am a doctor",'doctor'],["I am other healthcare provider",'hcp'],["Others",'other']], {prompt: 'Select'}, { class: "form-control" } %>
    </div>
  </div>

  <div class="row mt-4">
    <div class="col-md-3">
      <%= f.text_field :first_name, :class => 'form-control', placeholder: 'First name' %>
    </div>
    <div class="col-md-3">
      <%= f.text_field :last_name, :class => 'form-control', placeholder: 'Last name' %>
    </div>
  </div>

  <div class="row mt-4 hide_for_admin_role">
    <div class="col-md-6">
      <% if @specialities.present? %>
        <%= f.select :speciality_id, @specialities.all.map{ |d| ["#{d.name.downcase}", d.id]}, { prompt: 'Select Speciality' }, { class: "form-control" } %>
      <% else %>
        <%= f.select :speciality_id, [], { prompt: 'Select Speciality' }, { class: "form-control" } %>
      <% end %>  
    </div>
  </div>

<!--   <div class="row mt-4 display_for_admin_role">
    <div class="col-md-3">
      <%#= f.email_field :email, :class => 'form-control ', placeholder: 'Email' %>
    </div>
    <div class="col-md-3">
      <%#= f.text_field :mobile_no, :class => 'form-control', placeholder: 'Mobile No.' %>
    </div>
  </div> -->

  <div class="row mt-4 display_for_admin_role">
    <div class="col-md-6">
      <%= f.email_field :email, :class => 'form-control ', placeholder: 'Email' %>
    </div>
  </div>

  <div class="row mt-4 display_for_admin_role">
    <div class="col-md-6">
      <%= f.text_field :mobile_no, :class => 'form-control', placeholder: 'Mobile No.' %>
    </div>
  </div>

  <div class="row mt-4 hide_for_admin_role">
    <div class="col-md-3">
      <%= f.text_field :username, :class => 'form-control', placeholder: 'Username', autocomplete: 'off' %>
    </div>
    
    <div class="col-md-3">
      <% if @domains.present? %>
        <%= f.select :domain_id, @domains.all.map{ |d| ["@#{d.name}", d.id]}, { selected: resource.domain_id }, { class: "form-control" } %>
      <% else %>
        <%= f.select :domain_id, [], {  }, { class: "form-control" } %>
      <% end %>
    </div>
  </div>

  <div class="row">
    <div class="col-md-12" id="username">

    </div>
  </div>

  <div class="row mt-4">
    <div class="col-md-3">
      <%= f.password_field :password, :class => 'form-control', placeholder: 'Password' %>
    </div>
    <div class="col-md-3">
      <%= f.password_field :password_confirmation, :class => 'form-control', placeholder: 'Password Confirmation' %>
    </div>
  </div>

  <div class="row mt-4 display_for_admin_role">
    <div class="col-md-6">
    <%= f.select :country_id, Country.pluck(:name, :id), { prompt: 'Choose Country' }, { class: "form-control" } %>
    </div>
  </div>

  <div class="form-group mt-3 col-md-6 display_for_admin_role">
    <label for="inputAddress"> Upload your Govt. ID with photo (Front and Back) </label>
    <%= f.file_field :govt_id_proof, class: 'form-control' %>
  </div>

  <div class="form-group mt-3 mb-3 col-md-6 display_for_admin_role">
    <label for="inputAddress">Upload your organization Id</label>
    <%= f.file_field :organization_id, class: 'form-control' %>
  </div>

  <div class="row mt-4">
    <div class="col-md-6">
      <div class="form-check">
        <%= f.check_box :terms_and_conditions, {:class => "form-check-input", :style => "mystyle"}, true, false %>
        <label id="terms_and_conditions" class="form-check-label" for="exampleCheck1">I verify that I am an authorized representative of this organization and have the right to act on its behalf in the creation and management of this page. The organization and I agree to the additional terms of pages.</label>
      </div>
    </div>
  </div>

  <div class="actions mt-4">
    <%= f.submit "Sign up" %>
  </div>
<% end %>

<%= render "devise/shared/links" %>


<script type="text/javascript">
  $('#user_speciality_id').on('change', function(){
    speciality_id = $(this).val()
    $.ajax({
       type: "GET",// GET in place of POST
       url: "/domain_names.js",
       data : { id: speciality_id },
       dataType: "script"
    });
  })

  $('#user_about').on('change', function(){
    about = $(this).val()

    if(about == 'other'){
      $('.hide_for_admin_role').hide()
      $('.display_for_admin_role').show()
    }
    else{
      $('.hide_for_admin_role').show()
      $('.display_for_admin_role').hide()

      $.ajax({
         type: "GET",// GET in place of POST
         url: "/specialities.js",
         data : { role: about },
         dataType: "script"
      });
    }


  })

  $('#user_role').on('change', function(){
    role = $(this).val()

    if(role == 'other'){
      $('#about').show()
      $('#user_signed_up_as_admin').val(true)
    }
    else{
      $('#about').hide()
      $('#user_signed_up_as_admin').val(false)
    }

    $.ajax({
       type: "GET",// GET in place of POST
       url: "/specialities.js",
       data : { role: role },
       dataType: "script"
    });
  })

  $("#user_username").keyup(function(){
    set_username()
  });

  $('#user_domain_id').on('change', function(){
    set_username()
  })

  function set_username(){
    domain = $( "#user_domain_id option:selected" ).text();
    username = $("#user_username").val()
    if(username.length > 0 && domain.length > 0){
      username = username + domain
      $('#username').text(username)
    }
  }
</script>

<style type="text/css">
  .display_for_admin_role{ display: none; }
</style>

<% if resource.errors.present? && resource.role.include?('other') %>
  <script type="text/javascript">
    $('.hide_for_admin_role').hide()
    $('.display_for_admin_role').show()
  </script>
<% end %>

<script type="text/javascript">
  $('#register').click(function(){
    var doctor_govt_id_proof = $('#doctor_govt_id_proof').val()
    var doctor_license = $('#doctor_license').val()
    
    if(doctor_govt_id_proof == '' || doctor_license == ''){
      $('#doctorReg').modal('show')
      return false
    }
  })

  $('#withVerification').click(function(){
    $('#doctorReg').modal('hide')
    return false
  })

  $('#withoutVerification').click(function(){
    $('.edit_doctor').submit()
  })
</script>